[project]
name = "azure-gpt"
version = "0.1.0"
description = "Add your description here"
readme = "README.md"
authors = [{ name = "ajac-zero", email = "ajcardoza2000@gmail.com" }]
requires-python = ">=3.12"
dependencies = [ "openai>=1.72.0", "pydantic>=2.10.4"]

[build-system]
requires = ["hatchling"]
build-backend = "hatchling.build"

[tool.hatch.build.targets.wheel]
packages = ["banortegpt"]

[tool.pyright]
venvPath = "../../."
venv = ".venv"
